<!DOCTYPE html>
<!-- [QPRTemplateStart: subpssummary.tpl] -->

<html>
<head>
<title><#title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no, width=device-width">
<#PortalScript>
<script type="text/javascript">

var _bUseSlicePrintWebApp = false;

function bOpenPrintView(vsPrintViewURL)
{
  if (!_bUseSlicePrintWebApp){
    return false;
  }
  var sWindowName = 'PrintWindow' + (new Date()).getTime();
  PromptPrintingMode(function(x, y, orientation) {
    var sUrl = '';
    sUrl = sSetParameter("XPAGES", x, sUrl);
    sUrl = sSetParameter("YPAGES", y, sUrl);
    sUrl = sSetParameter("ORIENT", orientation, sUrl);
    sUrl = sSetParameter("LMARGIN", 15, sUrl);
    sUrl = sSetParameter("RMARGIN", 15, sUrl);
    sUrl = sSetParameter("TMARGIN", 15, sUrl);
    sUrl = sSetParameter("BMARGIN", 15, sUrl);
    sUrl = sSetParameter("IMAGEURL", sEncodeURI(oGetImageData(1, null).src), sUrl);
    SubmitURLviaForm(sGetWSFLocation() + '/ImageSlice.aspx', sWindowName, null, null, sUrl);
  });
  return true;
}

function PromptPrintingMode(voPrint)
{
  var oMainView = oGetMainView(), oButtons = {}, $;
  if ( !oMainView )
    voPrint(1,1);
  $ = oMainView.$;
  var div = $('<div>').html(window.$('#PrintDialogTemplate').html());
  
  oButtons[sDecodeURI('<#LocalizedTextMessage id="OK">')] =
    function() {
      var XValue = div.find('.XInput').val();
      var YValue = div.find('.YInput').val();
      var re = new RegExp('^[1-9][0-9]?$');
      if (re.test(XValue) && re.test(YValue)){
        var orientationValue = div.find('input:checked').val(); 
        $(this).dialog('close');
        oGetImageData(1, null);
        voPrint(XValue, YValue, orientationValue);
      } else {
        alert(sDecodeURI('<#LocalizedTextMessage id="[Pages wide] and [Pages high] should be a number from 1 to 99">'));
      }
    };

  $(div).dialog({
    title: sDecodeURI('<#LocalizedTextMessage id="Page setup">'),
    buttons: oButtons,
    minHeight: 10,
    minWidth: 10,
    resizable: false
  });
}
</script>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>

<link type="text/css" href="<#CSSFileLocation>jquery-ui.css" rel="stylesheet" />

<#stylesheet>

<style type="text/css">
.PropertyList caption .LinkRight {
  margin-top: 0px;
}
</style>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jswsfutils.tpl">
<#Include template="powerpointflowchartexporter.tpl">

<script type="text/javascript">
var _bHasRightsToData = <#HasObjectRights level="view" true="true" false="false">;
var _bDescriptionShown = false;
var _bFullScreen = (self.name === "fullscreen");

function UpdateHierarchyParameters(vsParameters,vbBoolean)
{
  if ((self.name == 'fullscreen') || (self == parent)) {
    var zoomvalue = vsParameters.substring((vsParameters.indexOf('ZOOM=')+5));
    zoomvalue = zoomvalue.substring(0,zoomvalue.indexOf("&"));
    if (zoomvalue.indexOf('%') != -1) { zoomvalue = zoomvalue.substring(0,zoomvalue.indexOf("%")+1); }
    document.forms.fullscreenzoom.action = self.location.href;
    document.forms.fullscreenzoom.method = "post";
    document.forms.fullscreenzoom.selecedzoomvalue.value = zoomvalue;
    document.forms.fullscreenzoom.submit();
    return;
  }
  else {
    if (parent && parent.UpdateHierarchyParameters)
      parent.UpdateHierarchyParameters(vsParameters,vbBoolean);
  }
}
  
function NSReload()
{
  if ((navigator.appName.indexOf('Netscape') >= 0) && (navigator.appVersion.indexOf("4.") >= 0 )) {
    document.location.reload(true); }
}

// Called when going to another process level from links on this flowchart
function sPGOpenInfoViewFromFlowchart(vsUrl, vId)
{
  var sZoomLevel;
  var oHeaderView = oGetHeaderView();
  if (oHeaderView && oHeaderView.sGetHierarchyParameters)
    sZoomLevel = sGetParameter("ZOOM", oHeaderView.sGetHierarchyParameters());
    
  if (sZoomLevel == null || sZoomLevel == '')
    sZoomLevel = sGetParameter("ZOOM", sGetDocumentLocation());
  
  vsUrl = sSetParameter("ZOOM", sZoomLevel, vsUrl);
  OpenInformationView(vsUrl, vId, true);
}


function sGetDetailsItem()
{
  if (_bHasRightsToData)
    return sGetToolbarIconButtonHTMLForOpenInformationView("<#LocalizedText id="Show Details">", "<#ViewURL VTN="subprocessdetails" ForwardedParameters="zoom,fit,vie">", "<#PortalImageFileLocation>btn_details.gif");
  else
    return "";
}

function sGetViewSettingsItem()
{
	var sUrl = "<#tool_viewsettingsviewaction>";
	var sItemText = "<#LocalizedText id="Views">";
	return sGetToolbarIconButtonHTMLForSizedPopup(sItemText, sUrl, 280, 200, "<#PortalImageFileLocation>icon_view.png");
}

function sGetGraphSettingsItem()
{
  if (bHasDetailsPane()) {
    var sUrl = "<#Tool_ZoomUrl>";
    return sGetToolbarIconButtonHTMLForSizedPopup("<#localizedtext id="Graph Settings">", sUrl, 320, 230, "<#PortalImageFileLocation>icon_graph_settings.png");
  } else {
    return "";
  }
}

function sGetFullScreenItem()
{
  if (bHasDetailsPane())
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Full Screen">", "javascript:oGetInformationViewFrame().OpenFullScreenFlowchart()", "<#PortalImageFileLocation>icon_fullscreen.gif");
  else
    return "";
}

function sGetOfficeExportItem()
{
  var oMainView = oGetMainView();
  return !oMainView || !oMainView.bIsLicensedPowerPointExport() || IPAD ||
         <#HasRights product="portal" level="update" true="false" false="true">
         ? '' :
           sGetToolbarIconButtonHTML("<#LocalizedText id="Export to Office">", "javascript:oGetInformationViewFrame().OfficeExport()", "<#PortalImageFileLocation>icon_office.png");
}

function sGetLocalToolbarHTML()
{
  return sGetDetailsItem() + sGetViewSettingsItem() + sGetProcessLevelUpItem() + sGetGraphSettingsItem() + sGetFullScreenItem() + sGetOfficeExportItem();
}

// Add Comment button add-on
function sGetAddFeedbackItem()
{
  var iType = "<#FeedbackActionType>";
  if (iType > 0) {
    var sFURL = "<#AddActionURL>";
    var sUrl = sFURL.replace(/ATY=1/gi,"ATY=" + iType);
    return sGetToolbarIconButtonHTMLForSizedPopup("<#localizedtext id="Add Comment">", sUrl, 720,360, "<#PortalImageFileLocation>icon_edit.png");
  }
  return "";
}

function sGetViewId()
{
  return "<#ObjectId>";
}

// Add Comment button add-on
function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions("<#ViewName ENC="js">") + sGetAddFeedbackItem();
}

function sGetHeaderViewRightHTML()
{
  return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
}

function sGetHelpFile()
{
  return "<#HelpFileURL>?processmaps.htm";
}

var oFullSizeWinObject = "";

function SetFullSizeWindowObject(voWinObject)
{
  oFullSizeWinObject = voWinObject;
}

function CloseFullSizeWindow()
{
  if(self.name != 'fullscreen') {
    if(oFullSizeWinObject)
        oFullSizeWinObject.close();
  }
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
  
  if (self.name == 'fullscreen') {
    self.opener.SetFullSizeWindowObject(self);
  }
  
  sModelId = sGetModelId('processes', 'MODELID');
  sURLModelId = <#ModelId>;
  if ((sModelId == "") || (sModelId != sURLModelId)) {
    // Don't overwrite hierarchy parameters if opened from a bookmark
    var bDontOverwriteHierarchyParams =
           (sGetParameter(ACT_PARAM_OPENED_FROM_BOOKMARK,
                          sGetDocumentLocation()) != '')
    var oHeaderView = oGetHeaderView();
    var sPreviousModelId = (bDontOverwriteHierarchyParams && oHeaderView) ?
                             oHeaderView.sGetHierarchyViewParameter('processes', 'MODELID') :
                             '';
    if (oHeaderView && (typeof(oHeaderView.SetHierarchyViewParameter) != "undefined") &&
       (!bDontOverwriteHierarchyParams || !sPreviousModelId)) {
      oHeaderView.SetHierarchyViewParameter('processes', 'MODELID', sURLModelId);
    }
  }

  var bViewHasDetailsPane = bHasDetailsPane() || (bIsInPrintFrame() && oGetInformationViewFrame() && oGetInformationViewFrame().bHasDetailsPane());
  
  if (bViewHasDetailsPane || !_bHasRightsToData || _bFullScreen)
    $("#divFullScreen").css("display", "none");

  if (_bFullScreen || bViewHasDetailsPane)
    $("#DetailsFooter").css("display", "none");

  if (bViewHasDetailsPane) {
    $("caption").css("display", "none");
    $(".OwnerBlock, .DescriptionBlock").css("display", "none");
  }

  $("body").css("visibility", "visible");
}

function sGetHeaderViewLeftHTML()
{
  var sHTML = "<#TitleShort>";
  var sLocator = '<#ProcessLevelLocator OpenerFunction='OpenInformationView' InnerLinkParams='' EndSeparator="" LevelSeparator="/">';

  if (sLocator)
    sHTML += "<span style=\"padding-left: 20px;\">" + sGenerateLocator(sLocator) + "</span>";
  return sHTML;
}

function OpenNotesList(vsUrl, vsElementDetailsUrl)
{
  if (bHasDetailsPane())
  {
    var oFrameset = oGetDetailsPaneFrameset();
    if (oFrameset && typeof(oFrameset.OpenDetailsPanePage) !== "undefined")
    {
      oFrameset.OpenDetailsPanePage(vsElementDetailsUrl, "Notes");
      return;
    }
  }
  OpenInformationView(vsUrl);
}

function sModifyInformationViewUrlForDetailsPane(vsUrl)
{
  var sCurrentUrl = sGetDocumentLocation();
  if (sGetPlugin(vsUrl) === sGetPlugin(sCurrentUrl))
    vsUrl = sSetParameter("DEP", "1", vsUrl);
  return vsUrl;
}

</script>
</head>

<body style="visibility: hidden; height: 100%" onload="javascript: OnLoad();" onUnload="javascript: CloseFullSizeWindow(); if (bInPortal()) {UpdateInformationViewToolbarsFromInformationView(true); }">
  <div id="PropertyListWrapper" class="PropertyList" style="overflow: hidden;">
    <#Include template="pg_detailsview_description.tpl">

<#Include template="pg_detailsview_graph.tpl" firsttable="1" Height="600px">
  </div>

  <div id="divFullScreen" class="PropertyList">
    <#include template="pg_detailsview_recentactions.tpl" max_num_elements="10">
    <#Include template="pg_detailsview_measures.tpl">
  </div>
  
  <div id="PrintDialogTemplate" style="display: none">
    <label><#LocalizedText id="Pages wide:"> </label>
    <br/>
    <input type="text" class="XInput" value="1" />
    <br/>
    <label><#LocalizedText id="Pages high:"> </label>
    <br/>
    <input type="text" class="YInput" value="1" />
    <br/>
    <label><#LocalizedText id="Orientation:"> </label>
    <br/>
    <input type="radio" name="orientation" value="1" checked="true"/> 
    <#LocalizedText id="Portrait">
    <br />
    <input type="radio" name="orientation" value="0" /> 
    <#LocalizedText id="Landscape">
    <br />
  </div>
  
  <#Include template="pg_detailsview_footer.tpl">

  <form name="fullscreenzoom">
    <input type="hidden" name="selecedzoomvalue" value="" />
  </form>

</body>
</html>
<!-- [QPRTemplateEnd: subpssummary.tpl] -->
